# Activity Pub Tag Booster 

Automatically boost messages on the fediverse based on tags aka. hashtags.

Based on the pip3 toot library, with a hackish way to pilot it. 

## How to install and run

```bash

# clone project
git clone https://git.lelab.fr/alban/ActiPubTagBooster

# load depencies
git submodule init
git submodule update 
cd toot.src/
pip3 install -r requirements.txt 
cd ..

# choose instance and accept a new app
./toot-cli login

# pick your tag
TAG="photo"

# pick your cache DIR
CACHE_DIR="$HOME/.cache/ActiPubTagBooster"
mkdir -p "$CACHE_DIR"

# It should work
./reboostTag.py --help

# run a first time with the --dry-run flag, or reboost all toots
./reboostTag.py -d -c 1 -t $TAG -p "$CACHE_DIR"

# add to your crontab
*/5 * * * *  /usr/bin/python3 :PATH:/ActiPubTagBooster/reboostTag.py -c 1 -t weeklyphotochallenge &>> :LOG_PATH:/ActiPubTagBooster.log
# or to cron.d/ActiPubTagBooster
*/5 * * * * :USER: /usr/bin/python3 :PATH:/ActiPubTagBooster/reboostTag.py -c 1 -t weeklyphotochallenge &>> :LOG_PATH:/ActiPubTagBooster.log
```
